Bug 1591944 (CVE-2018-12034) - CVE-2018-12034 yara: out of bounds read in yr_execute_code in libyara/exec.c.
Summary: CVE-2018-12034 yara: out of bounds read in yr_execute_code in libyara/exec.c.
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2018-12034
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1591947 1591948
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-15 20:19 UTC by Laura Pardo
Modified: 2019-09-29 14:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:29:26 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-06-15 20:19:10 UTC
A flaw was found in YARA 3.7.1 and prior, parsing a specially crafted compiled rule file can cause an out of bounds read vulnerability in yr_execute_code in libyara/exec.c.


References:
https://bnbdr.github.io/posts/swisscheese/ 	
https://github.com/bnbdr/swisscheese 	
https://github.com/VirusTotal/yara/issues/891

Comment 1 Laura Pardo 2018-06-15 20:20:42 UTC
Created yara tracking bugs for this issue:

Affects: epel-all [bug 1591947]
Affects: fedora-all [bug 1591948]

Comment 2 Product Security DevOps Team 2019-06-10 10:29:26 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.